|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.atlassian.confluence.plugins.restapi.resources.DescendantContentResource
public class DescendantContentResource
REST wrapper for the ChildContentService, when Depth is ALL.
| Constructor Summary | |
|---|---|
DescendantContentResource(ChildContentService childContentService)
|
|
| Method Summary | |
|---|---|
Map<ContentType,PageResponse<Content>> |
descendants(ContentId contentId,
String expand,
javax.ws.rs.core.UriInfo uriInfo)
Returns a map of the descendants of a piece of Content. |
RestList<Content> |
descendantsOfType(ContentId contentId,
ContentType type,
String expand,
int start,
int limit,
javax.ws.rs.core.UriInfo uriInfo)
Returns the direct descendants of a piece of Content, limited to a single descendant type. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public DescendantContentResource(ChildContentService childContentService)
| Method Detail |
|---|
public Map<ContentType,PageResponse<Content>> descendants(ContentId contentId,
String expand,
@Context
javax.ws.rs.core.UriInfo uriInfo)
throws ServiceException
The ContentType(s) of the descendants returned is specified by the "expand" query parameter in the request
- this parameter can include expands for multiple descendant types.
If no types are included in the expand parameter, the map returned will just list the descendant types that are available
to be expanded for the Content referenced by the "id" path parameter.
Currently the only supported descendants are comment descendants of non-comment Content.
Example request URI(s):
http://example.com/rest/api/content/1234/descendanthttp://example.com/rest/api/content/1234/descendant?expand=comment.body.VIEWhttp://example.com/rest/api/content/1234/descendant?expand=comment
contentId - a string containing the id of the content to retrieve descendants forexpand - a comma separated list of properties to expand on the descendantsuriInfo - (injected) information about the request URI
ContentTypes, or a 404 NOT FOUND if there is no
content with the given id or if the user is not permitted to see it.
ServiceException - if the request cannot be satisfied for any reason
public RestList<Content> descendantsOfType(ContentId contentId,
ContentType type,
String expand,
int start,
int limit,
@Context
javax.ws.rs.core.UriInfo uriInfo)
throws ServiceException
The ContentType(s) of the descendants returned is specified by the "type" path parameter in the request.
Currently the only supported descendants are comment descendants of non-comment Content.
Example request URI(s):
http://example.com/rest/api/content/1234/descendant/commenthttp://example.com/rest/api/content/1234/descendant/comment?expand=body.VIEWhttp://example.com/rest/api/content/1234/descendant/comment?start=20&limit=10
contentId - a string containing the id of the content to retrieve descendants fortype - a ContentType to filter descendants on.expand - a comma separated list of properties to expand on the descendantsstart - (optional, default: 0) the index of the first item within the result set that should be returnedlimit - (optional, default: site limit) how many items should be returned after the start indexuriInfo - (injected) information about the request URI
ContentTypes, or a 404 NOT FOUND if there is no
content with the given id or if the user is not permitted to see it.
ServiceException - if the request cannot be satisfied for any reason
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||